package com.example.nto.service;

import com.example.nto.dto.EmployeeDataDto;
import com.example.nto.dto.EntryDto;
import com.example.nto.entity.Code;
import com.example.nto.entity.Employee;
import com.example.nto.entity.EmployeeData;
import com.example.nto.entity.Entry;
import org.springframework.lang.Nullable;
import org.springframework.web.bind.annotation.RequestParam;

import java.time.LocalDateTime;
import java.util.List;

public interface EmployeeService {
    EmployeeDataDto info(String login);

    void open(String login, long value);

    List<EntryDto> getEntryList(String login);

    boolean amIBlocked(String login);
}
